ALTER TABLE LogSobTasas ADD PorcBase DECIMAL(14,4) DEFAULT(0) NOT NULL
GO
CREATE TABLE LogCxpAprob ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
TipFac VARCHAR(3) NOT NULL,
Factura VARCHAR(15) NOT NULL,
IdCia CHAR(2) NOT NULL,
ItemFact INT DEFAULT (0) NOT NULL,
IdCuenta VARCHAR(16) NOT NULL,
IdProveedor VARCHAR(16) NOT NULL,
NomProvee VARCHAR(150) NOT NULL,
VrFactura MONEY DEFAULT (0) NOT NULL,
VrAbonado MONEY DEFAULT (0) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
Detalle VARCHAR(100),
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50)
 CONSTRAINT PK_LogCxpAprob PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogCxpAprobFactura CHECK ((len([Factura]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdCuenta CHECK ((len([IdCuenta]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdProveedor CHECK ((len([IdProveedor]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogCxpAprobNomProvee CHECK ((len([NomProvee]) > 0)),
 CONSTRAINT CK_LogCxpAprobTipFac CHECK ((len([TipFac]) > 0)))
GO
CREATE TABLE LogRecaudo ( 
Numero INT DEFAULT (0) NOT NULL,
NitEmpresa VARCHAR(16) NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
HoraCrea VARCHAR(10) NOT NULL,
Secuencia VARCHAR(3) NOT NULL,
TipoCuenta INT DEFAULT (0) NOT NULL,
NumCuenta VARCHAR(20),
TotalReg INT DEFAULT (0) NOT NULL,
ValorTotal MONEY DEFAULT (0) NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
NomArchivo VARCHAR(100)
 CONSTRAINT PK_LogRecaudo PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogRecaudoHoraCrea CHECK ((len([HoraCrea]) > 0)),
 CONSTRAINT CK_LogRecaudoIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogRecaudoNitEmpresa CHECK ((len([NitEmpresa]) > 0)),
 CONSTRAINT CK_LogRecaudoNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogRecaudoObservacion CHECK ((len([Observacion]) > 0)),
 CONSTRAINT CK_LogRecaudoSecuencia CHECK ((len([Secuencia]) > 0)))
GO
CREATE TABLE LogRecDetalle ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
CdAgencia VARCHAR(16) NOT NULL,
TipoDoc VARCHAR(3) NOT NULL,
NumDoc INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('00') NOT NULL,
ValorRec MONEY DEFAULT (0) NOT NULL,
Referencia VARCHAR(50) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
NumRecibo INT DEFAULT (0) NOT NULL,
IdCiaRec CHAR(2) DEFAULT ('00') NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
FechaFact SMALLDATETIME,
ProcPago INT DEFAULT (0) NOT NULL,
MedioPago INT DEFAULT (0) NOT NULL,
SecRegistro INT DEFAULT (0) NOT NULL,
CodEntidad VARCHAR(10),
CodSucursal VARCHAR(10),
NumOper VARCHAR(20),
NumAutoriza VARCHAR(20),
CodServicio VARCHAR(50),
NumLote VARCHAR(10),
DescRegistro VARCHAR(250),
Comentario VARCHAR(250),
IdVend VARCHAR(16),
CodTarCom VARCHAR(4),
TarifaCom DECIMAL(14,4) DEFAULT (0) NOT NULL,
CdCiudad VARCHAR(8),
VrFactura MONEY DEFAULT (0) NOT NULL,
VrAbonado MONEY DEFAULT (0) NOT NULL,
NomCliente VARCHAR(150)
 CONSTRAINT PK_LogRecDetalle PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogRecDetalleCdAgencia CHECK ((len([CdAgencia]) > 0)),
 CONSTRAINT CK_LogRecDetalleIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogRecDetalleIdCiaRec CHECK ((len([IdCiaRec]) > 0)),
 CONSTRAINT CK_LogRecDetalleIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogRecDetalleReferencia CHECK ((len([Referencia]) > 0)),
 CONSTRAINT CK_LogRecDetalleTipoDoc CHECK ((len([TipoDoc]) > 0)))
GO
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobFecha ON LogCxpAprob(Fecha)
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobFactura ON LogCxpAprob(TipFac,Factura,IdCia,ItemFact)
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobIdUsuario ON LogCxpAprob(IdUsuario)
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobIdProveedor ON LogCxpAprob(IdProveedor)
 CREATE NONCLUSTERED INDEX IX_LogRecaudoFechaRec ON LogRecaudo(FechaRec)
 CREATE NONCLUSTERED INDEX IX_LogRecaudoIdUsuario ON LogRecaudo(IdUsuario)
 CREATE NONCLUSTERED INDEX IX_LogRecDetalleIdCliente ON LogRecDetalle(IdCliente)
 CREATE NONCLUSTERED INDEX IX_LogRecDetalleNumRecibo ON LogRecDetalle(NumRecibo,IdCiaRec)
ALTER TABLE LogRecDetalle ADD 
 CONSTRAINT FK_LogRecDetalle_LogRecaudo FOREIGN KEY (Numero) REFERENCES [dbo].[LogRecaudo] (Numero)
